<?php

class jc_com_hikashop extends JCommentsPlugin
{
	function getTitles($ids)
	{
		$db = & JCommentsFactory::getDBO();
		$db->setQuery( 'SELECT product_id as id, product_name as title, product_type, product_parent_id FROM #__hikashop_product WHERE product_id IN (' . implode(',', $ids) . ')' );
		$objects = $db->loadObjectList('id');
		$variant_ids = array();
		foreach( $objects as $k => $object){
			if(empty($object->title)){
				if($object->product_type=='variant'){
					$variant_ids[] = $object->product_parent_id;
				}else{
					$objects[$k]->title = $object->id;
				}
			}
		}
		if(!empty($variant_ids)){
			$parents = $this->getTitles($variant_ids);
			foreach( $objects as $k => $object){
				if(empty($object->title) && $object->product_type=='variant'){
					if(!empty($parents[$object->product_parent_id]->title)){
						$objects[$k]->title = $parents[$object->product_parent_id]->title;
					}else{
						$objects[$k]->title = $object->id;
					}
				}
			}
		}
		return $objects;
	}

	function getObjectTitle($id)
	{
		$db = & JCommentsFactory::getDBO();
		$db->setQuery( 'SELECT a.product_name as name, a.product_id as id, b.product_name as parent_name FROM #__hikashop_product AS a LEFT JOIN #__hikashop_product AS b ON a.product_parent_id=b.product_id WHERE a.product_id = ' . $id );
		$obj = $db->loadObject();
		$name = @$obj->name;
		if(empty($name)){
			$name = @$obj->parent_name;
		}
		if(empty($name)){
			$name = $id;
		}
		return $name;
	}

	function getObjectLink($id)
	{
		$_Itemid = JCommentsPlugin::getItemid('com_hikashop');
		$link = JoomlaTuneRoute::_('index.php?option=com_hikashop&amp;ctrl=product&amp;task=show&amp;cid=' . $id . '&amp;Itemid=' . $_Itemid);
		return $link;
	}
}
?>